

/*
 * @Author: dgflash
 * @Date: 2021-11-12 10:02:31
 * @LastEditors: mojunshou 1637302775@qq.com
 * @LastEditTime: 2025-04-15 15:28:53
 */
import { oops } from "db://oops-framework/core/Oops";
import { ecs } from "../../../../../extensions/oops-plugin-framework/assets/libs/ecs/ECS";

/** 
 * 游戏账号数据 
 */





@ecs.register('AccountModel')
export class AccountModelComp extends ecs.Comp {
    /** 账号名 */
    _accountName: string = null!;
    /**玩家UID */
    _uid: number = -1;
    /**玩家头像*/
    _headUrl: string = null!
    /**当前关卡--默认从0开始*/
    _curLevel: number = 0;
    /**游戏币*/
    _wxCoin: number = 0;
    /**红包币*/
    _hbCoin: number = 0;
    /**金块*/
    _goldCoin: number = 0;
    /**是否登录过*/
    _isLogined: boolean = false;
    /**消除次数*/
    _xcCount: number = 0;


    reset() {
        this.accountName = null!;
        this.uid = -1;
        this.headUrl = null!;
        this.curLevel = 0;
    }


    get accountName() {

        return this._accountName;
    }

    set accountName(value: string) {
        this._accountName = value;
    }

    get uid() {
        return this._uid;
    }

    set uid(value: number) {
        this._uid = value;
    }

    get headUrl() {
        return this._headUrl;
    }

    set headUrl(value: string) {
        this._headUrl = value;
    }

    get curLevel() {
        return this._curLevel;
    }

    set curLevel(value: number) {
        this._curLevel = value;
    }

    get wxCoin() {
        return this._wxCoin;
    }

    set wxCoin(value: number) {
        this._wxCoin = value;
    }

    get hbCoin() {
        return this._hbCoin;
    }

    set hbCoin(value: number) {
        this._hbCoin = value;
    }

    get goldCoin() {
        return this._goldCoin;
    }

    set goldCoin(value: number) {
        this._goldCoin = value;
    }

    get isLogined() {
        return this._isLogined;
    }

    set isLogined(value: boolean) {
        this._isLogined = value;
    }

    get xcCount() {
        return this._xcCount;
    }
    set xcCount(value: number) {
        this._xcCount = value;
    }
}
